%define name	stratagus2.1
%define	oname	stratagus
%define	version 2.1
%define rel	4
%define	release	%mkrel %{rel}

Name:		%{name} 
Summary:	A real time strategy game engine
Version:	%{version} 
Release:	%{release} 
Source0:	%{oname}-%{version}.tar.bz2
# http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=stratagus-2.1-flacapifix.diff;att=1;bug=427755
Patch0:		stratagus-2.1-flacapifix.diff
URL:		http://stratagus.sourceforge.net/
Group:		Games/Strategy
License:	GPL
BuildRequires:	libflac-devel
BuildRequires:	mesagl-devel
BuildRequires:	SDL-devel
BuildRequires:	bzip2-devel
BuildRequires:	imagemagick
BuildRequires:	lua5.0-devel
BuildRequires:	mad-devel
BuildRequires:	libmikmod-devel
BuildRequires:	libpng-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{oname}-%{version}-%{release}-buildroot

%description
Stratagus is a free cross-platform real-time strategy gaming engine.
It includes support for playing over the internet/LAN, or playing a computer
opponent. The engine is configurable and can be used to create games with a
wide-range of features specific to your needs.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

%build

./configure --host=%{_host} --build=%{_build} \
    --target=%{_target_platform} \
    --program-prefix=%{?_program_prefix} \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-opengl \
    --with-x \
    --with-bzip2 \
    --with-ogg \
    --with-mikmod \
    --with-mad \
    --with-flac \
    --with-cdaudio=libcda \
    --with-lua=%{_prefix}

make

%install
rm -rf $RPM_BUILD_ROOT
install -m755 stratagus -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
# Create and install icons
convert ./contrib/stratagus.ico -resize 32x32 ./stratagus-32.png
convert ./contrib/stratagus.ico -resize 48x48 ./stratagus-48.png
convert ./contrib/stratagus.ico -resize 16x16 ./stratagus-16.png
install -m644 stratagus-16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 stratagus-32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 stratagus-48.png -D %{buildroot}%{_liconsdir}/%{name}.png

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%doc README doc/*
%{_gamesbindir}/*
%{_iconsdir}/*



%changelog
* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 2.1-4mdv2011.0
+ Revision: 634632
- update BR

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 2.1-3mdv2010.0
+ Revision: 445263
- rebuild

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1-2mdv2009.1
+ Revision: 311508
- fix deps
- fix build
- added lib64 fixes
- fix build
- fix build

  + Zombie Ryushu <ryushu@mandriva.org>
    - Lua 5.1 attempt
    - Fix BuildRequires
    - Fix dependancies for x86_64
    - Fork from 2.2 to restore PUD Support and 16 Force Support. Also fixed Build Requires
    - import stratagus2.1


* Fri Jul 09 2008 Zombie Ryushu - 2.1-1mdv2008.1
- Branch off so that 2.1 and 2.2 can be installed simultaniously for extra PUD support.


* Sun Aug 21 2005 Eskild Hustvedt <eskild@mandriva.org> 2.1-3mdk
- Rebuild for new xorg

* Sun Jul 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1-2mdk
- add opengl, mad, flac and cdaudio support
- add buildrequires too
- really use $RPM_OPT_FLAGS

* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandrake.org> 2.1-1mdk
- Initial Mandriva Linux package
